Subject: procedure after filing I-824

From: Huicong Cai <[email-masked]>
Date: Thu, 25 Aug 94 16:53:20 CDT

Dear friends: Last week I asked information about lads PR application. Thanks
to all the people who responded. I really appreciate their help very much.
Now I still have some questions. After I file I-824, what the steps will
be? Because no any spaces in I-824 I can fill in for my dependent's
information, i.e. name; adress in china..... So I assume she (my daughter
in China) should go to U.S. consulate to apply P.R. visa actively rather
than the consulate inform her to do so. Is that right? I would like to ask
some friend who has the experiment to tell me what the procedure will be
after I file and get "prove" notice from INS or U.S. consulate in China.
Thanks for your attention!!

Truly yours,
H. Cai